## redis 7.0.4

=== debian/changelog ===
redis (5:7.0.4-1) unstable; urgency=high

  * New upstream security release.
  * CVE-2022-31144: Prevent a potential heap overflow in Redis 7.0's
    XAUTOCLAIM command.

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Jul 2022 15:49:44 +0100

redis (5:7.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 16 Jul 2022 07:27:57 +0100

redis (5:7.0.2-2) unstable; urgency=medium

  * Add /lib to allowed ExecPaths to support both usr-merged and non-usr-merged
    systems. Thanks to Christian Göttsche for the report. (Closes: #1013172)

 -- Chris Lamb <lamby@debian.org>  Sun, 19 Jun 2022 11:12:13 +0100

redis (5:7.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0005-Fix-crash-when-systemd-ProcSubset-pid.patch; applied upstream.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Jun 2022 14:34:25 +0100

redis (5:7.0.1-4) unstable; urgency=medium

  * Upload 7.x branch to unstable.
  * Update gbp.conf.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Jun 2022 10:09:07 +0100

redis (5:7.0.1-3) experimental; urgency=medium

  * Fix crash when systemd's ProcSubset=pid. /proc/sys/vm/overcommit_memory was
    inaccessible and a log warning message was incorrectly constructed.
  * Add missing CPPFLAGS when building hdr_histogram.
  * Update Lintian overrides:
    - Ignore maintainer-manual-page warnings.
    - Ignore very-long-line-length-in-source-file warnings.
  * Update my entry in debian/copyright.
  * Update and renumber patches.

 -- Chris Lamb <lamby@debian.org>  Fri, 17 Jun 2022 10:09:03 +0100

redis (5:7.0.1-2) experimental; urgency=medium

  * Drop support (in patches, etc.) for using the systemwide hiredis and Lua,
    reverting to using the built-in cjson (etc.). (Closes: #1012658)
  * Add an internal timeout for the cluster tests to prevent FTBFS.
    (Closes: #1011187)
  * Drop a duplicate comment in debian/rules.

 -- Chris Lamb <lamby@debian.org>  Tue, 14 Jun 2022 15:41:53 +0100

redis (5:7.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Jun 2022 07:34:58 +0100

redis (5:7.0.0-1) experimental; urgency=medium

  * New upstream release.
    - Disable, hopefully temporarily, the use of the systemwide Lua due to
      Redis' fork gaining security/hardening features (eg.
      lua_enablereadonlytable).
    - Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 30 Apr 2022 16:19:20 -0700

redis (5:7.0~rc3-1) experimental; urgency=medium

  * New upstream release.
    - Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Thu, 14 Apr 2022 09:20:33 +0100

redis (5:7.0~rc2-2) experimental; urgency=high

  * CVE-2022-0543: Prevent a Debian-specific Lua sandbox escape vulnerability.

    This vulnerability existed because the Lua library in Debian is provided as
    a dynamic library. A "package" variable was automatically populated that
    in turn permitted access to arbitrary Lua functionality. As this extended
    to, for example, the "execute" function from the "os" module, an attacker
    with the ability to execute arbitrary Lua code could potentially execute
    arbitrary shell commands.

    Thanks to Reginaldo Silva <https://www.ubercomp.com> for discovering and
    reporting this issue. (Closes: #1005787)

 -- Chris Lamb <lamby@debian.org>  Tue, 08 Mar 2022 11:05:56 +0000

redis (5:7.0~rc2-1) experimental; urgency=medium

  * New upstream RC release.
    - Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Mar 2022 08:10:49 +0000

redis (5:7.0~rc1-1) experimental; urgency=medium

  * New upstream 7.x release candidate.
  * Refresh patches.
  * Set some DEP-3 forwarded headers.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 Feb 2022 16:36:54 -0800

redis (5:6.2.6-1) experimental; urgency=medium

  * New upstream security release:

    - CVE-2021-32762: Integer to heap buffer overflow issue in redis-cli and
      redis-sentinel parsing large multi-bulk replies on some older and less
      common platforms.

    - CVE-2021-32687: Integer to heap buffer overflow with intsets, when
      set-max-intset-entries is manually configured to a non-default, very
      large value.

    - CVE-2021-32675: Denial Of Service when processing RESP request payloads
      with a large number of elements on many connections.

    - CVE-2021-32672: Random heap reading issue with Lua Debugger.

    - CVE-2021-32628: Integer to heap buffer overflow handling ziplist-encoded
      data types, when configuring a large, non-default value for
      hash-max-ziplist-entries, hash-max-ziplist-value,
      zset-max-ziplist-entries or zset-max-ziplist-value.

    - CVE-2021-32627: Integer to heap buffer overflow issue with streams, when
      configuring a non-default, large value for proto-max-bulk-len and
      client-query-buffer-limit.

    - CVE-2021-32626: Specially crafted Lua scripts may result with Heap
      buffer overflow.

    - CVE-2021-41099: Integer to heap buffer overflow handling certain string
      commands and network payloads, when proto-max-bulk-len is manually
      configured to a non-default, very large value.

  * Refresh patches.
  * Bump Standards-Version to 4.6.0.

 -- Chris Lamb <lamby@debian.org>  Mon, 04 Oct 2021 14:33:02 +0100

redis (5:6.2.5-4) experimental; urgency=medium

  * Use /run instead of /var/run for PID and UNIX socket files. Thanks to
    @MichaIng-guest for the patch. (Closes: lamby/pkg-redis!5)

 -- Chris Lamb <lamby@debian.org>  Thu, 26 Aug 2021 11:48:59 +0100

redis (5:6.2.5-3) experimental; urgency=medium

  * Skip OOM-related tests on incompatible platforms. (Closes: #982122)

 -- Chris Lamb <lamby@debian.org>  Wed, 18 Aug 2021 14:26:17 +0100

redis (5:6.2.5-2) experimental; urgency=medium

  * Explicitly specify USE_JEMALLOC to override upstream's detection of ARM
    systems. This was affecting reproducibility as the aarch64 kernel flavour


## redis 7.0.8

=== debian/changelog ===
redis (5:7.0.8-4) unstable; urgency=medium

  * Correct "delaycompress" typo in redis-server.logrotate, not just
    redis-sentinel.logrotate. (Closes: #1031750)

 -- Chris Lamb <lamby@debian.org>  Tue, 21 Feb 2023 16:48:01 -0800

redis (5:7.0.8-3) unstable; urgency=medium

  * Correct "delaycompress" typo. (Closes: #1031206)

 -- Chris Lamb <lamby@debian.org>  Mon, 13 Feb 2023 08:39:23 -0800

redis (5:7.0.8-2) unstable; urgency=medium

  * Add delaycompess to logrotate configuration. Thanks, Marc Haber.
    (Closes: #1029844)

 -- Chris Lamb <lamby@debian.org>  Mon, 30 Jan 2023 08:11:34 -0800

redis (5:7.0.8-1) unstable; urgency=high

  * New upstream release.
    <https://raw.githubusercontent.com/redis/redis/7.0/00-RELEASENOTES>
  * CVE-2023-22458: Integer overflow in the Redis HRANDFIELD and ZRANDMEMBER
    commands may have led to denial-of-service. (Closes: #1029363)
  * CVE-2022-35977: Integer overflow in the Redis SETRANGE and SORT/SORT_RO
    commands could have driven Redis to an OOM panic.

 -- Chris Lamb <lamby@debian.org>  Sun, 22 Jan 2023 08:46:14 -0800

redis (5:7.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Sat, 17 Dec 2022 10:21:39 +0000

redis (5:7.0.5-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2022-35951: Fix a heap overflow vulnerability in XAUTOCLAIM.
      Executing an XAUTOCLAIM command on a stream key in a specific state, with
      a specially crafted COUNT argument may have caused an integer overflow, a
      subsequent heap overflow and potentially lead to remote code execution.
      (Closes: #1020512)
  * Refresh patches.
  * Update debian/watch.

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Sep 2022 11:12:24 +0100

=== debian/control ===
Source: redis
Section: database
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.17.14),
 libhiredis-dev (>= 0.14.0),
 libjemalloc-dev [linux-any],
 liblua5.1-dev,
 liblzf-dev,
 libssl-dev,
 libsystemd-dev,
 lua-bitop-dev,
 lua-cjson-dev,
 openssl <!nocheck>,
 pkg-config,
 procps <!nocheck>,
 tcl <!nocheck>,
 tcl-tls <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://redis.io/
Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git -b debian/experimental
Vcs-Browser: https://salsa.debian.org/lamby/pkg-redis
Rules-Requires-Root: no

Package: redis
Architecture: all
Depends:
 redis-server (<< ${binary:Version}.1~),
 redis-server (>= ${binary:Version}),
 ${misc:Depends},
Description: Persistent key-value database with network interface (metapackage)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.
 .
 This package depends on the redis-server package.

Package: redis-sentinel
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base (>= 3.2-14),
 redis-tools (= ${binary:Version}),
 ${misc:Depends},
Description: Persistent key-value database with network interface (monitoring)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 This package contains the Redis Sentinel monitoring software.

Package: redis-server
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base (>= 3.2-14),
 redis-tools (= ${binary:Version}),
 ${misc:Depends},
Description: Persistent key-value database with network interface
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 The dataset is stored entirely in memory and periodically flushed to disk.

Package: redis-tools
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 ruby-redis,
Replaces:
 redis-server (<< 2:2.6.16-1),
Breaks:
 redis-server (<< 2:2.6.16-1),
Description: Persistent key-value database with network interface (client)
 Redis is a key-value database in a similar vein to memcache but the dataset
 is non-volatile. Redis additionally provides native support for atomically
 manipulating and querying data structures such as lists and sets.
 .
 This package contains the command line client and other tools.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
  https://github.com/redis/redis/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## redis 7.0.10

=== debian/changelog ===
redis (5:7.0.10-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Chris Lamb <lamby@debian.org>  Sat, 01 Apr 2023 10:44:01 +0100

redis (5:7.0.10-1) unstable; urgency=medium

  * New upstream release.
    - CVE-2023-28425: Unauthenticated users could have used the MSETNX command
      to trigger a runtime assertion and termination of the Redis server
      process. (Closes: #1033340)
  * Refresh patches.
  * Bump Standards-Version.
  * Extend our USE_SYSTEM_JEMALLOC patch to support latest version.

 -- Chris Lamb <lamby@debian.org>  Sat, 25 Mar 2023 13:04:38 +0000

redis (5:7.0.9-1) unstable; urgency=high

  * New upstream security release:
     - CVE-2023-25155: Authenticated users issuing specially crafted
       `SRANDMEMBER`, `ZRANDMEMBER`, and `HRANDFIELD` commands can trigger an
       integer overflow, resulting in a runtime assertion and termination of the
       Redis server process. (Closes: #1032279)
     - CVE-2022-36021:  Authenticated users can use string matching commands
       (like `SCAN` or `KEYS`) with a specially crafted pattern to trigger a
       denial-of-service attack on Redis, causing it to hang and consume 100%
       CPU time.
  * Refresh patches.
  * Extend our USE_SYSTEM_JEMALLOC patch to support latest version.

 -- Chris Lamb <lamby@debian.org>  Sat, 04 Mar 2023 11:01:59 +0000

redis (5:7.0.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 26 Dec 2022 10:04:38 +0000

redis (5:7.0.5-1~bpo11+1) bullseye-backports; urgency=high

  * Rebuild for bullseye-backports.

 -- Chris Lamb <lamby@debian.org>  Tue, 27 Sep 2022 08:19:40 +0100

redis (5:7.0.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 Aug 2022 08:22:24 -0700

redis (5:6.0.16-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Chris Lamb <lamby@debian.org>  Sat, 11 Jun 2022 07:40:56 +0100

redis (5:6.0.16-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 10 Mar 2022 08:12:54 +0000

## redis 7.0.11

=== debian/changelog ===
redis (5:7.0.11-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2023-28856: Authenticated users could have used the HINCRBYFLOAT
      command to create an invalid hash field that would have crashed the Redis
      server on access. (Closes: #1034613)

    For more information, please see:

      https://raw.githubusercontent.com/redis/redis/7.0/00-RELEASENOTES

  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Thu, 20 Apr 2023 07:38:23 +0100

## redis 7.0.12

=== deps/lua/src/Makefile ===
# makefile for building Lua
# see ../INSTALL for installation instructions
# see ../Makefile and luaconf.h for further customization

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

CC?= gcc
CFLAGS= -O2 -Wall $(MYCFLAGS)
AR= ar rcu
RANLIB= ranlib
RM= rm -f
LIBS= -lm $(MYLIBS)

MYCFLAGS=
MYLDFLAGS=
MYLIBS=

# == END OF USER SETTINGS. NO NEED TO CHANGE ANYTHING BELOW THIS LINE =========

PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris

LUA_A=	liblua.a
CORE_O=	lapi.o lcode.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o lmem.o \
	lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o ltm.o  \
	lundump.o lvm.o lzio.o strbuf.o fpconv.o
LIB_O=	lauxlib.o lbaselib.o ldblib.o liolib.o lmathlib.o loslib.o ltablib.o \
	lstrlib.o loadlib.o linit.o lua_cjson.o lua_struct.o lua_cmsgpack.o \
	lua_bit.o

LUA_T=	lua
LUA_O=	lua.o

LUAC_T=	luac
LUAC_O=	luac.o print.o

ALL_O= $(CORE_O) $(LIB_O) $(LUA_O) $(LUAC_O)
ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
ALL_A= $(LUA_A)

default: $(PLAT)

all:	$(ALL_T)

o:	$(ALL_O)

a:	$(ALL_A)

$(LUA_A): $(CORE_O) $(LIB_O)
	$(AR) $@ $(CORE_O) $(LIB_O)	# DLL needs all object files
	$(RANLIB) $@

$(LUA_T): $(LUA_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)

$(LUAC_T): $(LUAC_O) $(LUA_A)
	$(CC) -o $@ $(MYLDFLAGS) $(LUAC_O) $(LUA_A) $(LIBS)

clean:
	$(RM) $(ALL_T) $(ALL_O)

depend:
	@$(CC) $(CFLAGS) -MM l*.c print.c

echo:
	@echo "PLAT = $(PLAT)"
	@echo "CC = $(CC)"
	@echo "CFLAGS = $(CFLAGS)"
	@echo "AR = $(AR)"
	@echo "RANLIB = $(RANLIB)"
	@echo "RM = $(RM)"
	@echo "MYCFLAGS = $(MYCFLAGS)"
	@echo "MYLDFLAGS = $(MYLDFLAGS)"
	@echo "MYLIBS = $(MYLIBS)"

# convenience targets for popular platforms

none:
	@echo "Please choose a platform:"
	@echo "   $(PLATS)"

aix:
	$(MAKE) all CC="xlc" CFLAGS="-O2 -DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl" MYLDFLAGS="-brtl -bexpall"

ansi:
	$(MAKE) all MYCFLAGS=-DLUA_ANSI

bsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-Wl,-E"

freebsd:
	$(MAKE) all MYCFLAGS="-DLUA_USE_LINUX" MYLIBS="-Wl,-E -lreadline"

generic:
	$(MAKE) all MYCFLAGS=

linux:
	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-Wl,-E -ldl -lreadline -lhistory -lncurses"

macosx:
	$(MAKE) all MYCFLAGS=-DLUA_USE_LINUX MYLIBS="-lreadline"
# use this on Mac OS X 10.3-
#	$(MAKE) all MYCFLAGS=-DLUA_USE_MACOSX

mingw:
	$(MAKE) "LUA_A=lua51.dll" "LUA_T=lua.exe" \
	"AR=$(CC) -shared -o" "RANLIB=strip --strip-unneeded" \
	"MYCFLAGS=-DLUA_BUILD_AS_DLL" "MYLIBS=" "MYLDFLAGS=-s" lua.exe
	$(MAKE) "LUAC_T=luac.exe" luac.exe

posix:
	$(MAKE) all MYCFLAGS=-DLUA_USE_POSIX

solaris:
	$(MAKE) all MYCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" MYLIBS="-ldl"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) default o a clean depend echo none

# DO NOT DELETE

lapi.o: lapi.c lua.h luaconf.h lapi.h lobject.h llimits.h ldebug.h \
  lstate.h ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h \
  lundump.h lvm.h
lauxlib.o: lauxlib.c lua.h luaconf.h lauxlib.h
lbaselib.o: lbaselib.c lua.h luaconf.h lauxlib.h lualib.h
lcode.o: lcode.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h lgc.h \
  ltable.h
ldblib.o: ldblib.c lua.h luaconf.h lauxlib.h lualib.h
ldebug.o: ldebug.c lua.h luaconf.h lapi.h lobject.h llimits.h lcode.h \
  llex.h lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h lvm.h
ldo.o: ldo.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lparser.h lstring.h \
  ltable.h lundump.h lvm.h
ldump.o: ldump.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h lundump.h
lfunc.o: lfunc.c lua.h luaconf.h lfunc.h lobject.h llimits.h lgc.h lmem.h \
  lstate.h ltm.h lzio.h
lgc.o: lgc.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h
linit.o: linit.c lua.h luaconf.h lualib.h lauxlib.h
liolib.o: liolib.c lua.h luaconf.h lauxlib.h lualib.h
llex.o: llex.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h ltm.h \
  lzio.h lmem.h llex.h lparser.h lstring.h lgc.h ltable.h
lmathlib.o: lmathlib.c lua.h luaconf.h lauxlib.h lualib.h
lmem.o: lmem.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h
loadlib.o: loadlib.c lua.h luaconf.h lauxlib.h lualib.h
lobject.o: lobject.c lua.h luaconf.h ldo.h lobject.h llimits.h lstate.h \
  ltm.h lzio.h lmem.h lstring.h lgc.h lvm.h
lopcodes.o: lopcodes.c lopcodes.h llimits.h lua.h luaconf.h
loslib.o: loslib.c lua.h luaconf.h lauxlib.h lualib.h
lparser.o: lparser.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
  lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h \
  lfunc.h lstring.h lgc.h ltable.h
lstate.o: lstate.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lfunc.h lgc.h llex.h lstring.h ltable.h
lstring.o: lstring.c lua.h luaconf.h lmem.h llimits.h lobject.h lstate.h \
  ltm.h lzio.h lstring.h lgc.h
lstrlib.o: lstrlib.c lua.h luaconf.h lauxlib.h lualib.h
ltable.o: ltable.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h ldo.h lgc.h ltable.h
ltablib.o: ltablib.c lua.h luaconf.h lauxlib.h lualib.h
ltm.o: ltm.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h lzio.h \
  lmem.h lstring.h lgc.h ltable.h
lua.o: lua.c lua.h luaconf.h lauxlib.h lualib.h
luac.o: luac.c lua.h luaconf.h lauxlib.h ldo.h lobject.h llimits.h \
  lstate.h ltm.h lzio.h lmem.h lfunc.h lopcodes.h lstring.h lgc.h \
  lundump.h
lundump.o: lundump.c lua.h luaconf.h ldebug.h lstate.h lobject.h \
  llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lstring.h lgc.h lundump.h
lvm.o: lvm.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
  lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lstring.h ltable.h lvm.h
lzio.o: lzio.c lua.h luaconf.h llimits.h lmem.h lstate.h lobject.h ltm.h \
  lzio.h
print.o: print.c ldebug.h lstate.h lua.h luaconf.h lobject.h llimits.h \
  ltm.h lzio.h lmem.h lopcodes.h lundump.h

# (end of Makefile)

=== debian/changelog ===
redis (5:7.0.12-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2022-24834: A specially-crafted Lua script executing in Redis could
      have triggered a heap overflow in the cjson and cmsgpack libraries and
      result in heap corruption and potentially remote code execution. The
      problem exists in all versions of Redis with Lua scripting support and
      affects only authenticated/authorised users.

    - CVE-2023-36824: Extracting key names from a command and a list of
      arguments may, in some cases, have triggered a heap overflow and result
      in reading random heap memory, heap corruption and potentially remote
      code execution. (Specifically using COMMAND GETKEYS* and validation of
      key names in ACL rules). (Closes: #1040879)

    For more information, please see:

      <https://raw.githubusercontent.com/redis/redis/7.0/00-RELEASENOTES>

 -- Chris Lamb <lamby@debian.org>  Wed, 12 Jul 2023 10:07:09 +0100

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export BUILD_TLS = yes
export CFLAGS CPPFLAGS LDFLAGS
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/liblzf
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-no-as-needed -ldl -latomic -llzf

# Build jemelloc in parallel
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
	export MAKEFLAGS
endif

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/release.h debian/*.service

override_dh_auto_build:
	dh_auto_build -- V=1 USE_SYSTEM_JEMALLOC=yes USE_SYSTEMD=yes USE_JEMALLOC=yes

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Generate a root CA and server certificate for testing
	./utils/gen-test-certs.sh
	# Avoid race conditions in upstream testsuite
	./runtest --clients 1 --verbose --dump-logs --tls || true
	timeout 30m ./runtest-cluster --tls || true
	./runtest-sentinel || true
endif

override_dh_auto_install:
	debian/bin/generate-systemd-service-files

override_dh_compress:
	dh_compress -Xredis-trib.rb

override_dh_installchangelogs:
	dh_installchangelogs --keep 00-RELEASENOTES

## redis 7.0.14

=== debian/changelog ===
redis (5:7.0.14-2) unstable; urgency=medium

  * Drop ProcSubset=pid hardening flag from the systemd unit files it appears
    to cause crashes with memory allocation errors. A huge thanks to Arnaud
    Rebillout <arnaudr@kali.org> for the extensive investigation.
    (Closes: #1055039)

 -- Chris Lamb <lamby@debian.org>  Tue, 31 Oct 2023 16:34:25 +0100

redis (5:7.0.14-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2023-45145: On startup, Redis began listening on a Unix socket before
      adjusting its permissions to the user-provided configuration. If a
      permissive umask(2) was used, this created a race condition that enabled,
      during a short period of time, another process to establish an otherwise
      unauthorized connection. (Closes: #1054225)

  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Thu, 19 Oct 2023 15:50:56 +0100

redis (5:7.0.13-2) unstable; urgency=medium

  * Only install systemd units once. Thanks, Helmut Grohne. (Closes: #1054091)

 -- Chris Lamb <lamby@debian.org>  Tue, 17 Oct 2023 11:15:21 +0100

redis (5:7.0.13-1) unstable; urgency=high

  * New upstream security release:

    - CVE-2023-41053: Redis did not correctly identify keys accessed by
      `SORT_RO`, and as a result Redis may grant users executing this command
      access to keys that are not explicitly authorized by the ACL
      configuration. (Closes: #1051512)

    <https://raw.githubusercontent.com/redis/redis/7.2/00-RELEASENOTES>

  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Sep 2023 14:04:13 -0700

redis (5:7.0.12-2) unstable; urgency=medium

  * Try and clean up better. (Closes: #1047506)
  * Allow arm64 crossbuild to run but not to fail the build if, for
    instance, build-dependencies cannot be satisfied.
  * Replace dependency on lsb-base with sysvinit-utils.
  * Drop very debian/NEWS entry.

 -- Chris Lamb <lamby@debian.org>  Thu, 24 Aug 2023 10:33:48 -0700
